# iovec.hpp File Reference

`#include <saga/saga/packages/file/config.hpp>`
`#include <saga/saga/buffer.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::filesystem
## Classes
class | saga::filesystem::const_iovec
| Brief description starts here. More...
class | saga::filesystem::iovec
| The iovec class inherits the saga::buffer class, and three additional state attributes: offset, len in and len out. More...